Package icyllis.arc3d.core.image

# Class RasterImage

java.lang.Object
icyllis.arc3d.core.RefCnt
icyllis.arc3d.core.Image
icyllis.arc3d.core.image.RasterImage

All Implemented Interfaces:
  `RefCounted`

public class RasterImage extends Image

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `COPY_MODE_ALWAYS`
  `static final int`
  `COPY_MODE_IF_MUTABLE`
  `static final int`
  `COPY_MODE_NEVER`

  ### Fields inherited from class icyllis.arc3d.core.Image

  `mInfo, mUniqueID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RasterImage(Pixmap pixmap, @RawPtr Pixels pixels, boolean mayBeMutable)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `deallocate()`
  Override this method to invoke de-allocation of the underlying resource.
  `boolean`
  `isRasterBacked()`
  `static @SharedPtr Image`
  `makeFromBitmap(Pixmap pixmap, @RawPtr Pixels pixels)`
  `static @SharedPtr Image`
  `makeFromRasterBitmap(Pixmap pixmap, @RawPtr Pixels pixels, int copyMode)`

  ### Methods inherited from class icyllis.arc3d.core.Image

  `getAlphaType, getBounds, getBounds, getColorSpace, getColorType, getContext, getHeight, getInfo, getTextureSize, getUniqueID, getWidth, isAlphaOnly, isTextureBacked`

  ### Methods inherited from class icyllis.arc3d.core.RefCnt

  `create, create, getRefCnt, getRefCntAcquire, getRefCntVolatile, move, move, ref, unique, unref`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### COPY_MODE_IF_MUTABLE

    public static final int COPY_MODE_IF_MUTABLE
    See Also:
      - Constant Field Values

  - ### COPY_MODE_ALWAYS

    public static final int COPY_MODE_ALWAYS
    See Also:
      - Constant Field Values

  - ### COPY_MODE_NEVER

    public static final int COPY_MODE_NEVER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RasterImage

    public RasterImage(@Nonnull Pixmap pixmap, @Nonnull @RawPtr @RawPtr Pixels pixels, boolean mayBeMutable)
    Parameters:
      `pixmap` - pixel map
      `pixels` - raw ptr to pixel ref

- ## Method Details

  - ### makeFromBitmap

    @Nullable @SharedPtr public static @SharedPtr Image makeFromBitmap(@Nonnull Pixmap pixmap, @RawPtr @RawPtr Pixels pixels)

  - ### makeFromRasterBitmap

    @Nullable @SharedPtr public static @SharedPtr Image makeFromRasterBitmap(@Nonnull Pixmap pixmap, @RawPtr @RawPtr Pixels pixels, int copyMode)

  - ### deallocate

    protected void deallocate()
    Description copied from class: `RefCnt`
    Override this method to invoke de-allocation of the underlying resource.
    Specified by:
      `deallocate` in class `RefCnt`

  - ### isRasterBacked

    public boolean isRasterBacked()
    Overrides:
      `isRasterBacked` in class `Image`